#! /bin/bash

PROJECT=$1
BRANCH=$2
LOCALE_=$3
LANG_=$4
OPAC=$5
STAFF=$6
PAGELOCATIONFLAG=$7
LANGS=$8

browser=iceweasel

echo "PROJECT='$PROJECT',  BRANCH='$BRANCH',  LOCALE_='$LOCALE_',  LANG_='$LANG_',  OPAC='$OPAC',  STAFF='$STAFF',  LANG2='$LANGS', PAGELOCATIONFLAG='$PAGELOCATIONFLAG'"

if [ ! -d "languages" ]; then
   mkdir languages
fi
cd languages

if [ ! -d "$LANG_" ]; then
  mkdir $LANG_
fi
cd $LANG_

echo "<tr>" >> ../../index.html
echo "<td bgcolor=\"lightgreen\">" >> ../../index.html
echo '<a href="languages/'$LANG_'/index.html"><font size="+2"><b>'$LANG_'</b></font></a>' >> ../../index.html
echo "</td>" >> ../../index.html
echo "<td bgcolor=\"lightgrey\">$LOCALE_</td>" >> ../../index.html
echo "<td bgcolor=\"lightgrey\"><a title=\"GIT\" href=\"http://git.koha-community.org/gitweb/?p=koha.git;a=tree;h=refs/heads/$BRANCH;hb=refs/heads/$BRANCH\">$BRANCH</a></td>" >> ../../index.html
echo "<td bgcolor=\"lightgrey\"><a href=\"http://translate.koha-community.org/$LANG_/$PROJECT/\" title=\"translate.koha-community.org\">$PROJECT</a></td>" >> ../../index.html
echo "<td bgcolor=\"lightgrey\"><a href=\"$OPAC\" title=\"OPAC\">$OPAC</a></td>" >> ../../index.html
echo "<td bgcolor=\"lightgrey\"><a href=\"$STAFF\" title=\"STAFF\">$STAFF</a></td>" >> ../../index.html
echo "<td bgcolor=\"lightgrey\">$LANGS</td>" >> ../../index.html
echo "</tr>" >> ../../index.html

echo "<html>" > index.html
echo "<head><title>Translation tables for language "$LANG_"("$LOCALE_")</title></head>" >> index.html
echo "<body>" >> index.html
echo "<table width=\"100\%\"><tr><td valign=\"middle\"><a href=\"../../index.html\"  style=\"text-decoration:none\">&#8593;</a></td><td valign=\"middle\" align=\"center\">" >> index.html
echo "<h1>Translation tables for language "$LANG_"("$LOCALE_")</h1>" >> index.html
echo "</td></table>" >> index.html
echo "<ul>" >> index.html

../../scripts/_wget_po_from_Koha_web.sh   $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 

# uk-UA-installer.po
# uk-UA-installer-MARC21.po
# uk-UA-marc-MARC21.po
# uk-UA-marc-NORMARC.po
# uk-UA-marc-UNIMARC.po
# uk-UA-opac-bootstrap.po
# uk-UA-pref.po
# uk-UA-staff-prog.po
# uk-UA-messages.po
# uk-UA-messages-js.po

../../scripts/_po_parse_koha_installer.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-installer.po.html/index.html"
echo '<li><a href="'"$LOCALE_-installer.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-installer.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__installer_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_installer_MARC21.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-installer-MARC21.po.html/index.html"
echo '<li><a href="'"$LOCALE_-installer-MARC21.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-installer-MARC21.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__installer_MARC21_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_opac_bootstrap.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF   $PAGELOCATIONFLAG  $LANGS
#$browser "$LOCALE_-opac-bootstrap.po.html/index.html"
echo '<li><a href="'"$LOCALE_-opac-bootstrap.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-opac-bootstrap.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__opac_bootstrap_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_staff_prog.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-i-staff-t-prog-v-$VER.po.html/index.html"
echo '<li><a href="'"$LOCALE_-staff-prog.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-staff-prog.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__staff_prog_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html


../../scripts/_po_parse_koha_marc_UNIMARC.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-marc-UNIMARC.po.html/index.html"
echo '<li><a href="'"$LOCALE_-marc-UNIMARC.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-marc-UNIMARC.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__marc_UNIMARC_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_marc_MARC21.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-marc-MARC21.po.html/index.html"
echo '<li><a href="'"$LOCALE_-marc-MARC21.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-marc-MARC21.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__marc_MARC21_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_marc_NORMARC.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-marc-NORMARC.po.html/index.html"
echo '<li><a href="'"$LOCALE_-marc-NORMARC.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-marc-NORMARC.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__marc_NORMARC_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_messages.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF   $PAGELOCATIONFLAG  $LANGS
#$browser "$LOCALE_-messages.po.html/index.html"
echo '<li><a href="'"$LOCALE_-messages.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-messages.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__messages_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

../../scripts/_po_parse_koha_messages-js.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF   $PAGELOCATIONFLAG  $LANGS
#$browser "$LOCALE_-messages-js.po.html/index.html"
echo '<li><a href="'"$LOCALE_-messages-js.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-messages-js.po</b></font>"'</a>' >> index.html
echo ' (<a href="'"po_parse__messages-js_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

#../../scripts/_po_parse_koha_staff_help.sh $PROJECT $BRANCH $LOCALE_ $LANG_ $OPAC $STAFF  $PAGELOCATIONFLAG $LANGS 
#$browser "$LOCALE_-staff-help.po.html/index.html"
#echo '<li><a href="'"$LOCALE_-staff-help.po.html/index.html"'">'"<font size=\"+1\"><b>$LOCALE_-staff-help.po</b></font>"'</a>' >> index.html
#echo ' (<a href="'"po_parse__staff_help_$LANG_...LOG.txt"'"><i>log</i></a>)</li>' >> index.html

echo "</ul>" >> index.html

echo "<p align=\"right\"><font size=\"-1\" color=\"grey\"><i> Updated: " >> index.html
LANG=C date >>  index.html
echo "</i></font></p>" >> index.html

echo "</body>" >> index.html
echo "</html>" >> index.html
