#! /bin/bash

PROJECT=$1
BRANCH=$2
LOCALE_=$3
LANG_=$4
OPAC=$5
STAFF=$6
PAGELOCATIONFLAG=$7
LANGS=$8

echo "PROJECT='$PROJECT',  BRANCH='$BRANCH',  LOCALE_='$LOCALE_',  LANG_='$LANG_',  OPAC='$OPAC',  STAFF='$STAFF',  LANG2='$LANGS'"
echo "Get po-files for project $PROJECT and language $LANG_($LOCALE_)"

LanguageShortCodes[0]=$LANG_
LanguageLongCodes[0]=$LOCALE_
Web_Site="https://translate.koha-community.org"
Project_Folder=$PROJECT

# Download OPAC, Intranet, Pref, MARC po-files
for ((i=0; i<${#LanguageShortCodes[@]}; i++))
do

 # http://translate.koha-community.org/download/uk/3.20/
 #web_site_download_prefix=$Web_Site"/download/"${LanguageShortCodes[$i]}"/"$PROJECT"/"
 
 # NEW http://translate.koha-community.org/export/17.11/uk/uk-UA-opac-bootstrap.po
 web_site_download_prefix=$Web_Site"/export/"$PROJECT"/"${LanguageShortCodes[$i]}"/"

 # Files:
 
 # uk-UA-installer-MARC21.po
 installer_marc21_po=${LanguageLongCodes[$i]}"-installer-MARC21.po"
 # http://translate.koha-community.org/uk/3.20/uk-UA-installer-MARC21.po
 # http://translate.koha-community.org/download/uk/3.20/uk-UA-installer-MARC21.po
 installer_marc21_url=$web_site_download_prefix$installer_marc21_po
 if (test -s $installer_marc21_po) then
    rm $installer_marc21_po
 fi
 wget -O $installer_marc21_po $installer_marc21_url
 
 # uk-UA-installer-UNIMARC.po
 installer_unimarc_po=${LanguageLongCodes[$i]}"-installer-UNIMARC.po"
 # http://translate.koha-community.org/uk/3.20/uk-UA-installer-UNIMARC.po
 # http://translate.koha-community.org/download/uk/3.20/uk-UA-installer-UNIMARC.po
 installer_unimarc_url=$web_site_download_prefix$installer_unimarc_po
 if (test -s $installer_unimarc_po) then
    rm $installer_unimarc_po
 fi
 wget -O $installer_unimarc_po $installer_unimarc_url
 
 # uk-UA-installer.po
 installer_po=${LanguageLongCodes[$i]}"-installer.po"
 # http://translate.koha-community.org/uk/3.20/uk-UA-installer.po
 # http://translate.koha-community.org/download/uk/3.20/uk-UA-installer.po
 installer_url=$web_site_download_prefix$installer_po
 if (test -s $installer_po) then
    rm $installer_po
 fi
 wget -O $installer_po $installer_url
 
 # uk-UA-marc-MARC21.po
 marc21_po=${LanguageLongCodes[$i]}"-marc-MARC21.po"
 # http://translate.koha-community.org/uk/3.20/uk-UA-marc-MARC21.po
 # http://translate.koha-community.org/download/uk/3.20/uk-UA-marc-MARC21.po
 marc21_url=$web_site_download_prefix$marc21_po
 if (test -s $marc21_po) then
    rm $marc21_po
 fi
 wget -O $marc21_po $marc21_url
 
 # uk-UA-marc-NORMARC.po
 normarc_po=${LanguageLongCodes[$i]}"-marc-NORMARC.po"
 normarc_url=$web_site_download_prefix$normarc_po
 if (test -s $normarc_po) then
    rm $normarc_po
 fi
 wget -O $normarc_po $normarc_url
 
 # uk-UA-marc-UNIMARC.po
 unimarc_po=${LanguageLongCodes[$i]}"-marc-UNIMARC.po"
 unimarc_url=$web_site_download_prefix$unimarc_po
 if (test -s $unimarc_po) then
    rm $unimarc_po
 fi
 wget -O $unimarc_po $unimarc_url

 # uk-UA-messages-js.po
 messages_js_po=${LanguageLongCodes[$i]}"-messages-js.po"
 messages_js_url=$web_site_download_prefix$messages_js_po
 if (test -s $messages_js_po) then
    rm $messages_js_po
 fi
 wget -O $messages_js_po $messages_js_url

 # uk-UA-messages.po
 messages_po=${LanguageLongCodes[$i]}"-messages.po"
 messages_url=$web_site_download_prefix$messages_po
 if (test -s $messages_po) then
    rm $messages_po
 fi
 wget -O $messages_po $messages_url

 # uk-UA-opac-bootstrap.po
 opac_bootstrap_po=${LanguageLongCodes[$i]}"-opac-bootstrap.po"
 opac_bootstrap_url=$web_site_download_prefix$opac_bootstrap_po
 if (test -s $opac_bootstrap_po) then
    rm $opac_bootstrap_po
 fi
 wget -O $opac_bootstrap_po $opac_bootstrap_url
 
 # uk-UA-pref.po
 pref_po=${LanguageLongCodes[$i]}"-pref.po"
 pref_url=$web_site_download_prefix$pref_po
 if (test -s $pref_po) then
    rm $pref_po
 fi
 wget -O $pref_po $pref_url
 
 # uk-UA-staff-prog.po
 staff_prog_po=${LanguageLongCodes[$i]}"-staff-prog.po"
 staff_prog_url=$web_site_download_prefix$staff_prog_po
 if (test -s $staff_prog_po) then
    rm $staff_prog_po
 fi
 wget -O $staff_prog_po $staff_prog_url

 # uk-UA-staff-help.po
 # staff_help_po=${LanguageLongCodes[$i]}"-staff-help.po"
 # staff_help_url=$web_site_download_prefix$staff_help_po
 # if (test -s $staff_help_po) then
 #    rm $staff_help_po
 # fi
 # wget -O $staff_help_po $staff_help_url

done


