#! /bin/bash

PROJECT=$1
BRANCH=$2
LOCALE_=$3
LANG_=$4
VER=$5
OPAC=$6
STAFF=$7
LANGS=$8

echo "PROJECT='$PROJECT',  BRANCH='$BRANCH',  LOCALE_='$LOCALE_',  LANG_='$LANG_',  VER='$VER',  OPAC='$OPAC',  STAFF='$STAFF',  LANG2='$LANGS'"
echo "Get po-files for project $PROJECT and language $LANG_($LOCALE_)"

LanguageShortCodes[0]=$LANG_
LanguageLongCodes[0]=$LOCALE_

Web_Site=http://translate.koha-community.org
Project_Folder=$PROJECT
KohaPoFileVersion=$VER

OPAC_prog_Folder=$Project_Folder
OPAC_ccsr_Folder=$Project_Folder
OPAC_bootstrap_Folder=$Project_Folder
Intranet_Folder=$Project_Folder
Intranet_help_Folder=$Project_Folder
SysPref_Folder=$Project_Folder

# Download OPAC and Intranet po-files
for ((i=0; i<${#LanguageShortCodes[@]}; i++))
do
  
  # get opac-prog-po-files
  OPAC_prog_Lang_po_file=${LanguageLongCodes[$i]}"-i-opac-t-prog-v-"$KohaPoFileVersion".po"
  OPAC_prog_Lang_web_path=$Web_Site"/download/"${LanguageShortCodes[$i]}"/"$OPAC_prog_Folder"/"$OPAC_prog_Lang_po_file
  if (test -s $OPAC_prog_Lang_po_file) then
    rm $OPAC_prog_Lang_po_file
  fi
  wget -O $OPAC_prog_Lang_po_file $OPAC_prog_Lang_web_path
  
  # get opac-ccsr-po-files
  OPAC_ccsr_Lang_po_file=${LanguageLongCodes[$i]}"-opac-ccsr.po"
  OPAC_ccsr_Lang_web_path=$Web_Site"/download/"${LanguageShortCodes[$i]}"/"$OPAC_ccsr_Folder"/"$OPAC_ccsr_Lang_po_file
  if (test -s $OPAC_ccsr_Lang_po_file) then
    rm $OPAC_ccsr_Lang_po_file
  fi
  wget -O $OPAC_ccsr_Lang_po_file $OPAC_ccsr_Lang_web_path
  
  # get opac-bootstrap-po-files
  OPAC_bootstrap_Lang_po_file=${LanguageLongCodes[$i]}"-opac-bootstrap.po"
  OPAC_bootstrap_Lang_web_path=$Web_Site"/download/"${LanguageShortCodes[$i]}"/"$OPAC_bootstrap_Folder"/"$OPAC_bootstrap_Lang_po_file
  if (test -s $OPAC_bootstrap_Lang_po_file) then
    rm $OPAC_bootstrap_Lang_po_file
  fi
  wget -O $OPAC_bootstrap_Lang_po_file $OPAC_bootstrap_Lang_web_path
  
  # get intranet-po-files
  Intranet_Lang_po_file=${LanguageLongCodes[$i]}"-i-staff-t-prog-v-"$KohaPoFileVersion".po"
  Intranet_Lang_web_path=$Web_Site"/download/"${LanguageShortCodes[$i]}"/"$Intranet_Folder"/"$Intranet_Lang_po_file
  if (test -s $Intranet_Lang_po_file) then
    rm $Intranet_Lang_po_file
  fi
  wget -O $Intranet_Lang_po_file $Intranet_Lang_web_path
  
  # get syspref-po-files
  SysPref_Lang_po_file=${LanguageLongCodes[$i]}"-pref.po"
  SysPref_Lang_web_path=$Web_Site"/download/"${LanguageShortCodes[$i]}"/"$SysPref_Folder"/"$SysPref_Lang_po_file
  if (test -s $SysPref_Lang_po_file) then
    rm $SysPref_Lang_po_file
  fi
  wget -O $SysPref_Lang_po_file $SysPref_Lang_web_path
  
  # get intranet-help-po-files
  Intranet_help_Lang_po_file=${LanguageLongCodes[$i]}"-staff-help.po"
  Intranet_help_Lang_web_path=$Web_Site"/download/"${LanguageShortCodes[$i]}"/"$Intranet_help_Folder"/"$Intranet_help_Lang_po_file
  if (test -s $Intranet_help_Lang_po_file) then
    rm $Intranet_help_Lang_po_file
  fi
  wget -O $Intranet_help_Lang_po_file $Intranet_help_Lang_web_path
  
done


